Mail archive
alpine-aports

[alpine-aports] [PATCH] main/bzr: move to community

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 9 Nov 2015 21:42:27 +0100

bzr is essentially a discontinued and unmaintained project by it's previous sponsor, Canonical.
There has been little development going on and no projects in main depend on it.
Therefore, it should be safe to move it to community.
---
 community/bzr/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 main/bzr/APKBUILD      | 33 ---------------------------------
 2 files changed, 33 insertions(+), 33 deletions(-)
 create mode 100644 community/bzr/APKBUILD
 delete mode 100644 main/bzr/APKBUILD
diff --git a/community/bzr/APKBUILD b/community/bzr/APKBUILD
new file mode 100644
index 0000000..9c7ab94
--- /dev/null
+++ b/community/bzr/APKBUILD
_at_@ -0,0 +1,33 @@
+# Maintainer: William Pitcock <nenolod_at_dereferenced.org>
+pkgname=bzr
+pkgver=2.6.0
+pkgrel=2
+pkgdesc="A scalable distributed SCM tool"
+url="http://bazaar.canonical.com/"
+arch="all"
+license="GPL2+"
+depends="python"
+makedepends="python-dev"
+subpackages="$pkgname-doc"
+source="http://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root="$pkgdir" || return 1
+}
+
+doc() {
+	mkdir -p "$subpkgdir"/usr/share
+	mv "$pkgdir"/usr/man "$subpkgdir"/usr/share
+	default_doc
+}
+
+md5sums="28c86653d0df10d202c6b842deb0ea35  bzr-2.6.0.tar.gz"
+sha256sums="0994797182eb828867eee81cccc79480bd2946c99304266bc427b902cf91dab0  bzr-2.6.0.tar.gz"
+sha512sums="f40d4380a837321c2ed168d15b0b5d31e9de6df93c0f8f2fd9b16c9351524b0afac5b8744740f587e9704efeb4cc004cae7f35aed47f73b5c796cbe2526af980  bzr-2.6.0.tar.gz"
diff --git a/main/bzr/APKBUILD b/main/bzr/APKBUILD
deleted file mode 100644
index 9c7ab94..0000000
--- a/main/bzr/APKBUILD
+++ /dev/null
_at_@ -1,33 +0,0 @@
-# Maintainer: William Pitcock <nenolod_at_dereferenced.org>
-pkgname=bzr
-pkgver=2.6.0
-pkgrel=2
-pkgdesc="A scalable distributed SCM tool"
-url="http://bazaar.canonical.com/"
-arch="all"
-license="GPL2+"
-depends="python"
-makedepends="python-dev"
-subpackages="$pkgname-doc"
-source="http://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --root="$pkgdir" || return 1
-}
-
-doc() {
-	mkdir -p "$subpkgdir"/usr/share
-	mv "$pkgdir"/usr/man "$subpkgdir"/usr/share
-	default_doc
-}
-
-md5sums="28c86653d0df10d202c6b842deb0ea35  bzr-2.6.0.tar.gz"
-sha256sums="0994797182eb828867eee81cccc79480bd2946c99304266bc427b902cf91dab0  bzr-2.6.0.tar.gz"
-sha512sums="f40d4380a837321c2ed168d15b0b5d31e9de6df93c0f8f2fd9b16c9351524b0afac5b8744740f587e9704efeb4cc004cae7f35aed47f73b5c796cbe2526af980  bzr-2.6.0.tar.gz"
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 09 2015 - 21:42:27 GMT